### Function

# EDataServer memchunk_new

#### Declaration [src]

    EMemChunk*
    e_memchunk_new (
      gint atomcount,
      gint atomsize
    )

#### Description [src]

Create a new `EMemChunk` header. Memchunks are an efficient way to allocate and deallocate identical sized blocks of memory quickly, and space efficiently.

e_memchunks are effectively the same as gmemchunks, only faster (much), and they use less memory overhead for housekeeping.

This function is not directly available to language bindings.

#### Parameters

`atomcount`

  Type: `gint`

  The number of atoms stored in a single malloc’d block of memory.

`atomsize`

  Type: `gint`

  The size of each allocation.

#### Return value

Type: `EMemChunk`

A new `EMemChunk`.

The data is owned by the called function.